<?php
  function get_file_type($filename)
  {
    $file_extension = strtolower(substr(strrchr($filename,"."),1));

    switch ($file_extension) {
               case "pdf": $ctype="application/pdf"; break;
               case "exe": $ctype="application/octet-stream"; break;
               case "zip": $ctype="application/zip"; break;
               case "doc": $ctype="application/msword"; break;
               case "xls": $ctype="application/vnd.ms-excel"; break;
               case "ppt": $ctype="application/vnd.ms-powerpoint"; break;
               case "gif": $ctype="image/gif"; break;
               case "png": $ctype="image/png"; break;
			   case "bmp": $ctype="image/bmp"; break;
               case "jpe": case "jpeg":
               case "jpg": $ctype="image/jpg"; break;
               case "csv": $ctype="text/csv"; break;
               case "whl": $ctype="text/whl"; break;
               case "rpt": $ctype="text/rpt"; break;
               case "txt": $ctype="text/txt"; break;
               case "plot": $ctype="text/plot"; break;
			   case "html": case "htm": $ctype="text/html"; break;
			   case "js": $ctype="text/javascript"; break;
               default: $ctype="application/force-download";
           }
           
    return $ctype;
  };
  function check_filename($path,$filename,$write)
  {
   $illegal=array("..","\t","\n","\r",";","&",",");
   $illegalf=array("..","/","\\","\t","\n","\r",";","&",",");
   $illegalp=array(".","\t","\n","\r",";","&",",");
   if($path)
   {
    $path=str_replace($illegalp,"",$path);
    $filename=str_replace($illegalf,"",$filename);
    $filename=$path.$filename;
   }
   else
   {
    $filename=str_replace($illegal,"",$filename);
   };
   if((strpos($path,"_v")!=false) && $write){return false;};
   $parts=explode(":",$filename);
   switch(count($parts))
   {
   default:
    return false;
   case 1:
    if(!isset($_SESSION['Directory'])){return false;};
    return $_SESSION['Directory'].$filename;
   case 2:
    if(isset($_SESSION['Drives'][$parts[0]]))
    {
     if($_SESSION['Drives'][$parts[0]]['readonly'] && $write)
     {
      return false;
     }
     else
     {
      return $_SESSION['Drives'][$parts[0]]['path'].$parts[1];
     };
    };
    if(isset($_SESSION['HiddenDrives'][$parts[0]]))
    {
     if($_SESSION['HiddenDrives'][$parts[0]]['readonly'] && $write)
     {
      return false;
     }
     else
     {
      return $_SESSION['HiddenDrives'][$parts[0]]['path'].$parts[1];
     };
    };
   };
   return false;
  };
  function svg_convert($filename,$filetype,$dpi)
  {
   $filename=escapeshellarg($filename);
   if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') 
   {
    $filename=str_replace("/","\\",$filename);
    if($dpi)
    {
     pclose(popen('start /B cmd /c "('.$_SESSION["Rasterizer"].' -m '.$filetype.' -dpi '.$dpi.' '.$filename.' && del '.$filename.') > '.$_SESSION['Directory'].'/raster.log 2>&1"','r'));
    }
    else
    {
     pclose(popen('start /B cmd /c "('.$_SESSION["Rasterizer"].' -m '.$filetype.' '.$filename.' && del '.$filename.') > '.$_SESSION['Directory'].'/raster.log 2>&1"','r'));    
    };
   }
   else
   {
    if($dpi)
    {
     shell_exec("(".$_SESSION["Rasterizer"].' -m '.$filetype.' -dpi '.$dpi.' '.$filename.'; rm '.$filename.') &> '.$_SESSION['Directory'].'/raster.log &');
    }
    else
    {
     shell_exec("(".$_SESSION["Rasterizer"].' -m '.$filetype.' '.$filename.'; rm '.$filename.') &> '.$_SESSION['Directory'].'/raster.log &');    
    };
   };
  };
  function tex_convert($filename)
  {
   chdir($_SESSION['Directory']);
   $filename_svg=$filename . '_*.svg';
   $filename_pdf=$filename . '_*.pdf';
   $filename_tex=$filename . '.tex';
   if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') 
   {
    $filename_svg=escapeshellarg($filename_svg);
    $filename_pdf=escapeshellarg($filename_pdf);
    $filename_tex=escapeshellarg($filename_tex);
    $filename_svg=str_replace("/","\\",$filename_svg);
    $filename_pdf=str_replace("/","\\",$filename_pdf);
    $filename_tex=str_replace("/","\\",$filename_tex);
    $cmd='start /B cmd /c "(';
    $cmd.=$_SESSION["Rasterizer"].' -m application/pdf '.$filename_svg.' && ';
    $cmd.='del '.$filename_svg.' && ';
    $cmd.=escapeshellarg($_SESSION["TeXDir"].'pdflatex').' '.$filename_tex.' && ';
    $cmd.='del '.$filename_pdf.' && ';
    $cmd.='del '.$filename_tex.') >'.$_SESSION['Directory'].'/raster.log 2>&1"';
    pclose(popen($cmd, 'r'));
   }
   else
   {
    $cmd="(";
    $cmd.=$_SESSION["Rasterizer"].' -m application/pdf '.$filename_svg.'; ';
    $cmd.='rm '.$filename_svg.'; ';
    $cmd.=$_SESSION["TeXDir"].'pdflatex '.$filename_tex.'; ';
    $cmd.='rm '.$filename_pdf.'; ';
    $cmd.='rm '.$filename_tex.') &>'.$_SESSION['Directory'].'/raster.log &';
    shell_exec($cmd);
   };
  };
  function submit_batch($filename)
  {
   $filename=escapeshellarg($filename);
   if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') 
   {
    pclose(popen('start /B ' . $_SESSION["Program"] . " " . $filename . " >> oxcal.log", 'r'));
   }
   else
   {
    passthru($_SESSION["Program"] . " " . $filename . " >> oxcal.log &");
   };
  };
  function run_file($filename)
  {
   $filename=escapeshellarg($filename);
   passthru($_SESSION["Program"] . " " . $filename);
  };
?>
